<?php
require dirname(__FILE__).'/../../inc/prepend.php';
$auth->check(9);

l10n::set(dirname(__FILE__).'/l10n/'.DC_LANG.'-utf8/popup');

/*** Variable ***/
$courant = '../../js/toolbar.js';							//Chemin vers le toolbar.js utilisé dc
$sauvegarde = '../../js/toolbar.js.backupclickimage';			//Chemin vers le toolbar de sauvegarde
$modifier = 'fichiers_a_copier/toolbar.js';					//Chemin vers le toolbar modifier pour clickimage
$md5courant = md5_file($courant);						//Somme MD5 du fichier toolbar utilisé par dc
$md5dotclear = '5277ac366bdb4962590745c11ac9e75b';	//Somme MD5 du fichier toolbar original de dc


echo '
	<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	<html>
	
	<head>
	  <title>toolbar.js</title>
	  <meta name="GENERATOR" content="Screem">
	  <meta name="AUTHOR" content="Jonas Fourquier">
	  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	  <style type="text/css">
		@import "../../style/default.css";
		code {
		    color : gray;
		    font-weight : normal;
		    font-size : 95%;
		}
	  </style>
	</head>
	
	<body class="popup">
	<div id="main"><div id="content" style="text-align: justify">
	';

/*** Contenu + fonction de suppresion/remplacement en fonction de lien du quel on vient ***/
switch ($_GET['quoi'])
{
	//On arrive du lien pour installer le plugin
	case 'copier' :
		echo '<h2>'.__('Remplacer').' toolbar.js</h2>';
		if (file_exists($sauvegarde) || $md5courant <> $md5dotclear)
		{
			if (file_exists($sauvegarde))
			{
				//Un fichier de sauvegarde existe déjà
				echo 
					'<p>'.__('Une copie de sauvegarde de').' <code>toolbar.js</code> '.__('se trouvant dans').' <code>'.dc_app_url.'/ecrire/js/</code> '.__('sous le nom de').' <code>toolbar.js.backupclickimage</code> '.__('existe déjà').'.</p>
					';
			}
			if ($md5courant <> $md5dotclear)
			{
				//La somme md5 du fichier actuelle ne correspond pas a celle du fichier original de dotclear
				echo
					'<p>'.__('Le fichier').' <code>toolbar.js</code> '.__('se trouvant dans').' <code>'.dc_app_url.'</code> '.__('semble être une version modifiée (peut-être par une ancienne installation de clickimage ou pour un autre plugin)').'.</p>
					';
			}
			echo		
				'<p>'.__('Le fichier n\'a donc pas été copié').'.</p>
				<p>'.__('Si vous souhaitez tout de même remplacer le fichier existant par la version pour clickimage cliquez').' <a href="'.$_SERVER['PHP_SELF'].'?quoi=ecraser">'.__('ici').'</a>. '.__('Les précédentes modifications seront perdue').'. '.__('Si vous ne voulez pas perdre ces modifications éditez manuellement le fichier').' <code>'.dc_app_url.'/ecrire/js/toolbar.js</code> '.__('en le comparant à').' <code>'.dc_app_url.'/ecrire/tools/clickimage/fichier_a_copier/toolbar.js</code> ('.__('Les lignes ajoutées sont acompagnées d\'un commentaire').' "ajout pour clickimage").</p>
				';
		}
		else
		{
			//Si il n'existe pas de sauvegarde clickimage et si la somme md5 correspond a celle du fichier original de dotclear
			rename ($courant, $sauvegarde);
			copy ($modifier, $courant);
			@chmod ($courant, 0644);
			echo
				'<p>'.__('Le fichier').' <code>toolbar.js</code> '.__('se trouvant dans').' <code>'.dc_app_url.'</code> '.__('a été remplacé').'. '.__('L\'ancien fichier a été renommé en').' <code>toolbar.js.backupclickimage</code></p>
				';
		}
		break;
	
	// On vient du lien pour désinstaller le plugin
	case 'restaurer' :
		echo '<h2>'.__('Restaurer').' toolbar.js</h2>';
		if (file_exists($sauvegarde))
		{
			//Restauration
			unlink ($courant);
			rename ($sauvegarde, $courant);
			echo
				'<p>'.__('Le fichier').' <code>toolbar.js</code> '.__('se trouvant dans').' <code>'.dc_app_url.'/ecrire/js/</code> '.__('a été restauré').'</p>
				';
		}
		else
		{
			//Restauration impossible
			echo
				'<p>'.__('La copie de sauvegarde du nom de').' <code>toolbar.js.backupclickimage</code> '.__('se trouvant dans').' <code>'.dc_app_url.'/ecrire/js/</code> '.__('n\'a pas été trouvée. La restauration est donc impossible').'.</p>
				';
		}
		break;
	
	// On arrive de cette meme page avec ordre d'ecraser les fichier
	case 'ecraser' :
		echo '<h2>'.__('Remplacer').' toolbar.js</h2>';
		if (file_exists($sauvegarde)) {
			//Un fichier de sauvegarde existe, on remplace toolbar.js
			unlink ($courant);
		} else {
			//Il n'y a pas encore de fichier de sauvegarde, renome toolbar.js
			rename ($courant, $sauvegarde);
		}
		
		copy ($modifier, $courant);
		@chmod ($courant, 0644);
		echo
			'<p>'.__('Le fichier').' <code>toolbar.js</code> '.__('se trouvant dans').' <code>'.dc_app_url.'/ecrire/js/</code> '.__('a été remplacé').'.</p>
			';
		break;
}

echo
	'<p align="center"><a href="#" onclick="window.close(); return; false">['.__('fermer').']</a></p>
	</div></div>
	</body>';
?>